Bug 1530274 (CVE-2017-17857) - CVE-2017-17857 kernel: bpf/verifier.c allows local users to cause a denial of service by leveraging mishandling of invalid variable stack read operations
Summary: CVE-2017-17857 kernel: bpf/verifier.c allows local users to cause a denial of...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-17857
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1530279 1530317
Blocks: 1528364
TreeView+ depends on / blocked
 
Reported: 2018-01-02 12:32 UTC by Adam Mariš
Modified: 2019-09-29 14:28 UTC (History)
42 users (show)

Fixed In Version: kernel 4.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:04:54 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-01-02 12:32:50 UTC
The check_stack_boundary function in kernel/bpf/verifier.c in the Linux kernel through 4.14.8 allows local users to cause a denial of service (memory corruption) or possibly have unspecified other impact by leveraging mishandling of invalid variable stack read operations. 

Upstream patch:

https://github.com/torvalds/linux/commit/ea25f914dc164c8d56b36147ecc86bc65f83c469

References:

http://www.openwall.com/lists/oss-security/2017/12/21/2

Comment 1 Adam Mariš 2018-01-02 12:40:10 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1530279]

Comment 3 Prasad J Pandit 2018-01-18 05:35:19 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 5 Product Security DevOps Team 2019-07-12 13:04:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-17857


Note You need to log in before you can comment on or make changes to this bug.